Announcement

Collapse
No announcement yet.

Useful Addons: graphs1090, tar1090 et cetera

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • wiedehopf
    replied
    It's the old format used by the original graphs i based the install script on.
    I found the noise readout from dump1090 to be not very meaningful, so i'm not plotting it.

    The weakest signal is a measure for noise in some ways, because the noise determines how faint a signal you can receive.
    Due to compression effects for stronger signals and those strong signals still being able to be decoded, you'll be hard pressed to optimize for SNR using my graphs or the old version.

    Leave a comment:


  • perseus68
    replied
    Hi
    I just installed those wonderful graphs1090 (thanks wiedehopf ) but the Layout is something different from what I saw around there.
    I refer to the ADS-B Signal level compartment.
    In the plots I have there is no Noise plot which I would appreciate to play a bit with gain and optimize the SNR.
    Im asking to wiedehopf here. What happened to Noise in that plot?
    I attach one graph with the Noise plot that I found in the FA forum
    ADSB-SignalLevel.JPGADSB-B-with-noise.png

    Leave a comment:


  • wiedehopf
    replied
    It's the same code for handling the receiver, so same performance in regards to reception of messages.

    dump1090-fa can decode and show some more extended data.

    When you already have the graphs and move from dump1090 to dump1090-fa you need to change the graphs1090 configuration.
    Reinstalling the graphs should take care of that automatically after changing to dump1090-fa.
    If that doesn't work let me know.

    And of course my improved local map tar1090 in my opinion is much better than the dump1090 local map, no matter -fa or not.
    But that improved map requires dump1090-fa as a base, so instead of asking, just install all the stuff in this thread and test it yourself

    Leave a comment:


  • abcd567
    replied
    Originally posted by AlejandroM View Post
    my question was, dump1090-fa works better?
    Well there is some difference of opinion on this issue.

    I use both v1.15 and fa. My opinion is that performance wise there is no noticeable difference. Appearance wise fa is prettier.

    Some other users think that performance wise fa is somewhat better.

    Leave a comment:


  • AlejandroM
    replied
    well, but it looks are the same, and works great.

    my question was, dump1090-fa works better? if not, i can leave it my RPi with 1.15~**

    Leave a comment:


  • abcd567
    replied
    AlejandroM:

    The version "1.15~20180310.4a16df3+dfsg-6" is from Debian Buster repository, maintained by "hamradiogroup", and is available for Buster only. It is installed by following command
    Code:
    sudo apt-get install dump1090-mutability

    The version "1.15~dev" was built by me using dump1090-mutability source code at Github, and I uploaded the built package to my github account. It is available for both the Stretch and Buster. That package (and its dependencies) are installed by following bash script
    Code:
    sudo bash -c "$(wget -O - https://raw.githubusercontent.com/abcd567a/dump1090/master/install_dump1090_mut_1.15.sh)"
    Last edited by abcd567; 2019-09-19, 23:07.

    Leave a comment:


  • AlejandroM
    replied
    pi@raspberrypi:~ $ apt-cache policy dump1090-mutability
    dump1090-mutability:
    Installed: 1.15~20180310.4a16df3+dfsg-6
    Candidate: 1.15~20180310.4a16df3+dfsg-6
    Version table:
    *** 1.15~20180310.4a16df3+dfsg-6 500
    500 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages
    100 /var/lib/dpkg/status


    and i installed one today with your tutorial

    pi@raspberrypi:~ $ apt-cache policy dump1090-mutability
    dump1090-mutability:
    Installed: 1.15~dev
    Candidate: 1.15~dev
    Version table:
    *** 1.15~dev 100
    100 /var/lib/dpkg/status
    1.15~20180310.4a16df3+dfsg-6 500
    500 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages
    pi@raspberrypi:~ $

    Leave a comment:


  • abcd567
    replied
    Originally posted by AlejandroM View Post
    i think i have ver 1.15 but i cant confirm

    i installed it using

    #sudo apt-get install dump1090-mutability -y

    and my dump1090 shows "EB_VERSION" with a link to https://github.com/mutability/dump1090

    so, should i move to dump1090-fa ? it will work better?
    To check which version you have
    Code:
    apt-cache policy dump1090-mutability
    The EB_VERSION uses the source code of dump1090-mutability ver 1.15~dev, but the package for installation by cammand "sudo apt-get install dump1090-mutability" is not maintained by mutability, it is maintained by hamradiogroup, and that is why they changed display name from ver 1.15~dev to EB_VERSION

    Leave a comment:


  • AlejandroM
    replied
    yeah, i am only asking because if it is better, i can upgrade all my locations, if is the same, then i will leave it as it.

    https://github.com/wiedehopf/graphs1090#graphs1090 works great on my dump1090

    Leave a comment:


  • wiedehopf
    replied
    You're probably running 1.15

    The addons are based on the dump1090-fa json format, at least some of them.
    If you don't want the addons or different local map, no need to change.

    But there is no disadvantage for changing either.
    dump1090-fa is actually developed from 1.15 by the guy who developed 1.15.

    Leave a comment:


  • AlejandroM
    replied
    i think i have ver 1.15 but i cant confirm

    i installed it using

    #sudo apt-get install dump1090-mutability -y

    and my dump1090 shows "EB_VERSION" with a link to https://github.com/mutability/dump1090

    so, should i move to dump1090-fa ? it will work better?

    Leave a comment:


  • abcd567
    replied
    Originally posted by AlejandroM View Post
    so dump1090-fa is better?
    Yes, the decoders of both dump1090-fa and dump1090-mutability ver 1.15~dev are better than dump1090-mutability ver1.14.

    Also the dump1090-mutability ver 1.14 is not mlat aware, creating a mess when you also feed Flightaware from it, and get a mlat feed back.

    Leave a comment:


  • AlejandroM
    replied
    so dump1090-fa is better?

    Leave a comment:


  • wiedehopf
    replied
    If you had the default dump1090 that comes with the image (1.14), the newly installed dump1090-fa should even improve your message count and range a bit due to improved demodulation.

    1.14 is really old, i have no idea why they still ship it.
    It would be fine if nothing had changed, but there has been development.

    Leave a comment:


  • DarkBlue
    replied
    Yes, just followed your advice and have renewed my Pi24 image with the "dump1090-fa" update-script.
    Sorry that im unable to post the link to your script (must have a minimum of 4 posts)

    Leave a comment:

Working...
X